/*
 *	Utilities used by the Vector routines
 *
 *	Copyright (C) 1988, 1989.
 *
 *	Dr. Thomas Keffer
 *	Rogue Wave Associates
 *	P.O. Box 85341
 *	Seattle WA 98145-1341
 *
 *	Permission to use, copy, modify, and distribute this
 *	software and its documentation for any purpose and
 *	without fee is hereby granted, provided that the
 *	above copyright notice appear in all copies and that
 *	both that copyright notice and this permission notice
 *	appear in supporting documentation.
 *	
 *	This software is provided "as is" without any
 *	expressed or implied warranty.
 *
 *
 *	@(#)utility.cc	2.1	8/18/89
 */

#include <stdio.h>
#include "rw/vdefs.h"
#ifdef __GNUG__
#include <std.h>
#else
#include <stdlib.h>
#endif

void
RWerror(Severity gravity)
{
  switch (gravity) {
  case WARNING:
    fputs("** Processing continues.\n", stderr);
    break;
  case DEFAULT:
  case FATAL:
  default:
    fputs("** Processing terminated.\n", stderr);
    exit(gravity);
  }
}

void
RWnote(const char* routine, const char* comment)
{
  fputs("\n",stderr);
  fputs("** ",stderr);
  fputs(routine,stderr);
  fputs("\n",stderr);

  fputs("** ", stderr);
  fputs(comment, stderr);
  fputs("\n", stderr);
}
